summaryrefslogtreecommitdiffstats
path: root/tests/unshare-as-root-user
diff options
context:
space:
mode:
Diffstat (limited to 'tests/unshare-as-root-user')
-rw-r--r--tests/unshare-as-root-user9
1 files changed, 9 insertions, 0 deletions
diff --git a/tests/unshare-as-root-user b/tests/unshare-as-root-user
new file mode 100644
index 0000000..e1ba4d6
--- /dev/null
+++ b/tests/unshare-as-root-user
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+export LC_ALL=C.UTF-8
+[ "$(whoami)" = "root" ]
+trap "rm -f /tmp/debian-chroot.tar" EXIT INT TERM
+{{ CMD }} --mode=unshare --variant=apt \
+ --customize-hook='chroot "$1" sh -c "test -e /proc/self/fd"' \
+ {{ DIST }} /tmp/debian-chroot.tar {{ MIRROR }}
+tar -tf /tmp/debian-chroot.tar | sort | diff -u tar1.txt -